## pulseaudio 0.9.22~0.9.21+stable-queue-32

=== src/pulse/Makefile ===
# This is a dirty trick just to ease compilation with emacs
#
# This file is not intended to be distributed or anything
#
# So: don't touch it, even better ignore it!

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

.PHONY: all clean

## pulseaudio 0.9.15-1maemo26+0m5

=== debian/changelog ===
pulseaudio (0.9.15-1maemo26+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 16 Sep 2009 12:06:01 +0300

pulseaudio (0.9.15-1maemo26) unstable; urgency=low

  * Suspend module doesn't resume on CORKED stream moves. Fixes: NB#124058

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 08 Sep 2009 16:13:41 +0300

pulseaudio (0.9.15-1maemo25) unstable; urgency=low

  * Handle DisconnectRequested in bluetooth module. Fixes: NB#132426

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 28 Aug 2009 12:19:08 +0300

pulseaudio (0.9.15-1maemo24) unstable; urgency=low

  * Pulseaudio crash if bluetooth is restarted. Fixes: NB#130647

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 10 Aug 2009 20:18:09 +0300

pulseaudio (0.9.15-1maemo23) unstable; urgency=low

  * Remove pa_assert(). Fixes: NB#118688

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 04 Aug 2009 18:35:54 +0300

pulseaudio (0.9.15-1maemo22) unstable; urgency=low

  * Make sure volume is updated after mixer change. Fixes: XX#130685
  * Don't make volume relative to dest sink reference volume. Keep current
    volume instead. Fixes: NB#125401

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 27 Jul 2009 16:01:23 +0300

pulseaudio (0.9.15-1maemo21) unstable; urgency=low

  * Implements synchronization of SW and HW volume in IO-thread. Fixes: NB#118988
  * If no active mixer set volume callbacks to null. Fixes: NB#125681
  * Fix flat-sink patch. Fixes: NB#129460

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 22 Jul 2009 13:06:16 +0300

pulseaudio (0.9.15-1maemo20) unstable; urgency=low

  * BT headset's mic is muted in some cases. Fixes: NB#126474, NB#128304
  * Fix some coverity issues. Fixes: NB#128905

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 15 Jul 2009 15:29:31 +0300

pulseaudio (0.9.15-1maemo19) unstable; urgency=low

  * BTHS or wired headsets can get 100% volume. Fixes: NB#127171
    (during initial connection or when changing routes between them)

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 09 Jul 2009 19:43:16 +0300

pulseaudio (0.9.15-1maemo18) unstable; urgency=low

  * Fix setting BTHS volume level. Fixes: NB#111167

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 07 Jul 2009 18:23:09 +0300

pulseaudio (0.9.15-1maemo17) unstable; urgency=low

  * Get rid of gdbm usage and crashes. Fixes: NB#120362

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 06 Jul 2009 19:14:59 +0300

pulseaudio (0.9.15-1maemo16) unstable; urgency=low

  * BT streaming irregularities fixes. Fixes: NB#115334
    (and NB#120873, NB#124140, NB#125120, NB#124109, NB#116679)

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 30 Jun 2009 12:53:12 +0300

pulseaudio (0.9.15-1maemo15) unstable; urgency=low

  * Limit volume to -20dB for unkown route. Fixes: NB#120216
  * Remember volume per route. Fixes: NB#116930
  * Enable NEON by default on armel (do not rely on vfp flag).
  * Tune mixer delay. Fixes: NB#114849
  * Set default source to source.record (help NB#110033), and use
    source.voice.raw as master_source.
  * Disable restore_device from stream-restore.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 18 Jun 2009 17:28:09 +0300

pulseaudio (0.9.15-1maemo14) unstable; urgency=low

  * Set hw0 reference volume to 0 to avoid annoying glitch. Fixes: NB#121115

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 16 Jun 2009 20:45:19 +0300

pulseaudio (0.9.15-1maemo13) unstable; urgency=low

  * Add pulseaudio-doc. Fixes: NB#122423
  * Fix audio getting silent when routing to BTHS.
  * Modify policy-enforcement to use sink.null.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 15 Jun 2009 15:17:34 +0300

pulseaudio (0.9.15-1maemo12) unstable; urgency=low

  * Start with alsa-sink suspended. Fixes: NB#119028
  * Improve latency computation.
  * Improve mixer changes delay.
  * Should finally report coredumps.. Fixes: NB#119929
  * Disable shm in client side too. Fixes: NB#122104

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 10 Jun 2009 16:08:49 +0300

pulseaudio (0.9.15-1maemo11) unstable; urgency=low

  * Recursively update stream volume level (help: NB#118988)
  * Limit HP to -30dB.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 05 Jun 2009 19:04:57 +0300

pulseaudio (0.9.15-1maemo10) unstable; urgency=low

  * Delay mixer change, avoiding some volume jumps.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 05 Jun 2009 14:40:23 +0300

pulseaudio (0.9.15-1maemo9) unstable; urgency=low

  * Classify using "application.name".
  * Don't open SCO channel unconditionally. Fixes: NB#117454
  * Disable IPv6 support. Fixes: NB#117852
  * Use monotonic time. Fixes: NB#112134
  * Classify vengine as "phone" role.
  * Changed default volume for phone and general. Fixes: NB#116935

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 03 Jun 2009 18:21:45 +0300

pulseaudio (0.9.15-1maemo8) unstable; urgency=low

  * Add match table to classify unclassified streams in "x-maemo" role.
  * Add a source.record. Fixes: NB#110033
  * Disable device/card restore for now.
  * Suspend on idle timeout property has been changed. Fixes: NB#106649
  * Default volume set to -18dB for phone, -32dB for general. Fixes: NB#116935

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 13 May 2009 21:45:37 +0300

pulseaudio (0.9.15-1maemo7) unstable; urgency=low

  * Fix sound distortion introduced in previous version.

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 12 May 2009 19:43:59 +0300

pulseaudio (0.9.15-1maemo6) unstable; urgency=low

  * stream-restore: add volume_is_absolute in rule info.
  * don't fail when session bus is not there. Fixes: NB#115682

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 12 May 2009 14:45:06 +0300

pulseaudio (0.9.15-1maemo5) unstable; urgency=low

  * Use snd_pcm_htimestamp instead of sysfs to calculated delay

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 08 May 2009 17:12:29 +0300



=== debian/control ===
Source: pulseaudio
Section: sound
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: CJ van den Berg <cj@vdbonline.com>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5), cdbs, quilt, m4, libltdl7-dev,
    liboil0.3-dev (>= 0.3.0) | liboil-dev,
    libsndfile1-dev (>= 1.0.10) | libsndfile-dev,
    libasound2-dev (>= 1.0.19) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
    libgconf2-dev,
    libhal-dev,
    libatomic-ops-dev [!arm !armel],
    libbluetooth3-dev (>= 4.22),
    libgdbm-dev,
    libglib2.0-dev,
    libspeexdsp-dev (>= 1.2~rc1),
    upstart-dev,
    doxygen
Standards-Version: 3.8.1
Vcs-Git: git://git.debian.org/git/pkg-pulseaudio/pulseaudio.git
Vcs-Browser: http://git.debian.org/?p=pkg-pulseaudio/pulseaudio.git
Homepage: http://www.pulseaudio.org

Package: pulseaudio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3),
 pulseaudio-module-bluetooth
Conflicts: libltdl3 (<< 1.5.24-1), libpulsecore9
Replaces: libpulsecore9
Provides: libpulsecore9
Recommends: pulseaudio-module-x11,
    libasound2-plugins, gstreamer0.10-plugins-good,
    paprefs, padevchooser
Suggests: pulseaudio-utils, pavumeter, pavucontrol, paman
Description: PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These are some of PulseAudio's features:
 .
   * High quality software mixing of multiple audio streams with support for
     more than one sink/source. May be used to combine multiple sound cards
     into one (with sample rate adjustment).
 .
   * Wide range of supported client libraries. ESD, ALSA, oss, libao and
     GStreamer client applications are supported as-is. Native PulseAudio
     plug-ins are also available for xmms and mplayer.
 .
   * Good low latency behaviour and very accurate latency measurement for
     playback and recording. Ability to fully synchronize multiple playback
     streams.
 .
   * Network transparency, allowing an application to play back or record
     audio on a different machine than the one it is running on.
 .
   * Extensible plug-in architecture with plug-ins for jackd, multicast-rtp
     lirc and avahi, just to name a few.
 .
 This package contains the daemon and basic module set.

Package: pulseaudio-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio (= ${binary:Version})
Description: PulseAudio sound server detached debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains the detached debugging symbols for the daemon and
 basic module set.

Package: pulseaudio-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tools for the PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These tools provide command line access to various features of the
 PulseAudio sound server. Included tools are:
 .
   paplay - Playback a WAV file via a PulseAudio sink.
   pacat - Cat raw audio data to a PulseAudio sink.
   parec - Cat raw audio data from a PulseAudio source.
   pacmd - Connect to PulseAudio's built-in command line control interface.
   pactl - Send a control command to a PulseAudio server.
   padsp - /dev/dsp wrapper to transparently support OSS applications.
   pax11publish - Store/retrieve PulseAudio default server/sink/source
                  settings in the X11 root window.

Package: pulseaudio-utils-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-utils (= ${binary:Version})
Description: PulseAudio command line tools detached debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains detached debugging symbols for the command line tools.

Package: pulseaudio-esound-compat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: esound, osso-esd, pulseaudio (<< 0.9.7)
Replaces: esound, osso-esd
Provides: esound, osso-esd
Description: PulseAudio ESD compatibility layer
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains the ESD compatibility components and enables a
 PulseAudio sound server to fully replace ESD.

Package: pulseaudio-esound-compat-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-esound-compat (= ${binary:Version})
Description: PulseAudio ESD compatibility layer debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains debugging symbols for the ESD compatibility components.

Package: pulseaudio-module-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hal
Description: Extra modules for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Maemo optional module set.

Package: pulseaudio-module-extra-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-module-extra (= ${binary:Version})
Description: Extra modules for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Maemo optional module set.

Package: pulseaudio-module-hal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hal
Description: HAL device detection module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to detect new sound devices dynamically via
 the HAL API.
 .
 The module is called module-hal-detect.

Package: pulseaudio-module-hal-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-module-hal (= ${binary:Version})
Description: HAL module for PulseAudio sound server debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains debugging symbols for the HAL module for PulseAudio.

Package: pulseaudio-module-gconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GConf module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to store additional configuration in GConf.
 .
 The module is called module-gconf.

Package: pulseaudio-module-gconf-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-module-gconf (= ${binary:Version})
Description: GConf module for PulseAudio sound server debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains debugging symbols for the PulseAudio GConf module.

Package: pulseaudio-module-bluetooth
Architecture: alpha amd64 arm armel hppa i386 ia64 mips mipsel powerpc s390 sparc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pulseaudio (<< 0.9.14-2)
Description: Bluetooth module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to work with bluetooth devices, like headset
 or audio gateway.
 .
 The module is called module-bluetooth

Package: pulseaudio-module-bluetooth-dbg
Architecture: alpha amd64 arm armel hppa i386 ia64 mips mipsel powerpc s390 sparc
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-module-bluetooth (= ${binary:Version})
Description: Bluetooth module for PulseAudio sound server
 This module enables PulseAudio to work with bluetooth devices, like headset
 or audio gateway.
 .
 This package contains debugging symbols for the PulseAudio bluetooth module.

Package: pulseaudio-module-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-utils
Recommends: gnome-audio
Description: X11 module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to publish itself as the default sound
 server to the X11 root window automatically upon startup. The is also a
 module to playback a sound file in place of the X11 bell beep.
 .
 The modules are called module-x11-publish and module-x11-bell.

Package: pulseaudio-module-x11-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, pulseaudio-module-x11 (= ${binary:Version})
Description: X11 module for PulseAudio sound server debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains debugging symbols for the PulseAudio X11 modules.

Package: libpulse0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: pavucontrol (<< 0.9.8)
Suggests: pulseaudio
Description: PulseAudio client libraries
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Client libraries used by applications that access a PulseAudio sound server
 via PulseAudio's native interface.

Package: libpulse0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libpulse0 (= ${binary:Version})
Description: PulseAudio client libraries detached debugging symbols
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

LDFLAGS =
CFLAGS = -Wall -g -DNOKIA=1 -DDEBUG_VOLUME=1 -DNDEBUG=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -rdynamic -fno-omit-frame-pointer -mapcs-frame
else
	CFLAGS += -O3 -fno-omit-frame-pointer
endif

ifeq ($(DEB_BUILD_ARCH), armel)
	CFLAGS += -mfpu=neon -mfloat-abi=softfp
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_ARCH), armel)
	CFLAGS += -mthumb
endif
endif

binary-install/pulseaudio::
	dh_installupstart

common-build-arch::
	grep -v -e alsa -e evdev debian/pulseaudio.install > \
	    debian/pulseaudio.install.kfreebsd-i386
	grep -v -e alsa -e evdev debian/pulseaudio.install > \
	    debian/pulseaudio.install.kfreebsd-amd64

common-install-arch::
	find $(DEB_DESTDIR) -name "*.la" | xargs rm -f
	mkdir -p $(CURDIR)/debian/tmp/usr/share/lintian
	mkdir -p $(CURDIR)/debian/tmp/usr/include/pulsecore
	cp -a $(CURDIR)/debian/overrides $(CURDIR)/debian/tmp/usr/share/lintian
	cp -a $(CURDIR)/debian/client.conf.maemo $(CURDIR)/debian/tmp/etc/pulse/client.conf
	cp -a $(CURDIR)/debian/daemon.conf.maemo $(CURDIR)/debian/tmp/etc/pulse/daemon.conf
	cp -a $(CURDIR)/debian/default.pa.maemo $(CURDIR)/debian/tmp/etc/pulse/default.pa
	cp -a $(CURDIR)/debian/default.pa.maemo $(CURDIR)/debian/tmp/etc/pulse/system.pa
	cp -a $(CURDIR)/debian/x-maemo-*.table $(CURDIR)/debian/tmp/etc/pulse/
	cp -a $(CURDIR)/config.h $(CURDIR)/debian/tmp/usr/include/pulsecore/pulsecore-config.h

common-binary-post-install-arch:: list-missing

clean::
	rm -f debian/pulseaudio.install.kfreebsd-i386
	rm -f debian/pulseaudio.install.kfreebsd-amd64

update-patch-series:
	git rm -rf $(CURDIR)/debian/patches || true
	mkdir -p $(CURDIR)/debian/patches
	git format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
		xargs -n 1 basename > $(CURDIR)/debian/patches/series
	git add $(CURDIR)/debian/patches/*

DEB_CONFIGURE_EXTRA_FLAGS =			\
	--enable-shave				\
	--with-realtime-group=pulse-rt		\
	--disable-ipv6				\
	--disable-legacy-runtime-dir		\
	--disable-x11				\
	--disable-nls				\
	--disable-samplerate			\
	--disable-per-user-esound-socket	\
	--enable-force-preopen			\
	--with-preopen-mods="			\
	alsa-sink-old				\
	alsa-sink				\
	alsa-source-old				\
	alsa-source				\
	always-sink				\
	bluetooth-device			\
	bluetooth-discover			\
	device-restore				\
	native-protocol-unix			\
	null-sink				\
	null-source				\
	position-event-sounds			\
	remap-sink				\
	rescue-streams				\
	simple-protocol-unix			\
	stream-restore				\
	suspend-on-idle"

DEB_DH_MAKESHLIBS_ARGS_ALL = --exclude=usr/lib/pulse-0.9.15/modules
DEB_DH_INSTALL_ARGS = --sourcedir=$(CURDIR)/debian/tmp
DEB_UPDATE_RCD_PARAMS = start 25 2 3 4 5 . stop 15 1 .
DEB_MAKE_INSTALL_TARGET := doxygen install DESTDIR=$(DEB_DESTDIR)

## pulseaudio 0.9.15-1maemo27+0m5

=== debian/changelog ===
pulseaudio (0.9.15-1maemo27+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 05 Oct 2009 16:46:13 +0300

pulseaudio (0.9.15-1maemo27) unstable; urgency=low

  * Add bluetooth HSP auto connect functionality. Fixes: NB#129403

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 08 Sep 2009 16:13:41 +0300

## pulseaudio 0.9.15-1maemo35+0m5

=== debian/changelog ===
pulseaudio (0.9.15-1maemo35+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 30 Nov 2009 13:28:18 +0200

pulseaudio (0.9.15-1maemo35) unstable; urgency=low

  * combine: Stop rate adjustments if sink is supended. Fixes: NB#148607
  * libpulse: Store pa_stream pointers to hashmaps instead of dynarrays. Fixes: NB#142517

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 27 Nov 2009 10:40:11 +0200

pulseaudio (0.9.15-1maemo34) unstable; urgency=low

  * Fix timer event handling. Fixes: NB#145577

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 11 Nov 2009 16:30:01 +0200

pulseaudio (0.9.15-1maemo33) unstable; urgency=low

  * Turn BT-ringtone volume down even more. Fixes: NB#146007

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 10 Nov 2009 16:30:01 +0200

pulseaudio (0.9.15-1maemo32) unstable; urgency=low

  * Enable simultaneous playback to sink.hw0 and .hw1 using module-combine. Fixes: NB#126956

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 06 Nov 2009 09:30:01 +0200

pulseaudio (0.9.15-1maemo31) unstable; urgency=low

  * Refuse to use the HSP profile if there is some other HSP device active. Fixes: NB#138555

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 02 Oct 2009 15:17:01 +0200

pulseaudio (0.9.15-1maemo30) unstable; urgency=low

  * Fix lock handling in sink_get_volume_cb. Fixes: NB#139279

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 14 Oct 2009 15:07:41 +0300

pulseaudio (0.9.15-1maemo29) unstable; urgency=low

  * Save individual values for role routes. Fixes: NB#142700

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 13 Oct 2009 11:07:41 +0300

pulseaudio (0.9.15-1maemo28) unstable; urgency=low

  * Stop auto timing updates if connected to suspended sink or source. Fixes: NB#141154

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 06 Oct 2009 19:16:41 +0300

## pulseaudio 0.9.15-1maemo38%2b0m5

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3),
  pulseaudio-module-bluetooth
-Conflicts: libltdl3 (<< 1.5.24-1), libpulsecore9
+Conflicts: libltdl3 (<< 1.5.24-1), libpulsecore9, pulseaudio-module-nokia-voice (<< 0.9.15.0-42)
 Replaces: libpulsecore9
 Provides: libpulsecore9
 Recommends: pulseaudio-module-x11,

## pulseaudio 0.9.15-1maemo38+0m5

=== debian/changelog ===
pulseaudio (0.9.15-1maemo38+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 16 Dec 2009 09:47:10 +0200

pulseaudio (0.9.15-1maemo38) unstable; urgency=low

  * Don't use flat volume with BT-SCO devices. Fixes: NB#138085

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 10 Dec 2009 16:00:01 +0200

pulseaudio (0.9.15-1maemo37) unstable; urgency=low

  * alsa-old: Don't push the first captured frames. Fixes: NB#142962

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 08 Dec 2009 12:15:11 +0200

pulseaudio (0.9.15-1maemo36) unstable; urgency=low

  * core: New LIFO style flist implementation, improves performace. Fixes: NB#149345

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 01 Dec 2009 14:14:10 +0200

## pulseaudio 0.9.15-1maemo43%2b0m5

=== debian/changelog ===
pulseaudio (0.9.15-1maemo43+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.9.15-1maemo43+0m5

 -- Jyri Sarha <jyri.sarha@nokia.com>  Mon, 14 Jun 2010 16:27:19 +0300

pulseaudio (0.9.15-1maemo43) unstable; urgency=low

  * Trigger mempool vacuuming when all sinks and sources are suspended. Fixes: NB#166422

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 4 Jun 2010 13:57:01 +0200

pulseaudio (0.9.15-1maemo42) unstable; urgency=low

  * upstream cherrypicks  Fixes: NB#159548

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 27 May 2010 10:23:05 +0200

pulseaudio (0.9.15-1maemo41) unstable; urgency=low

  * Poll BT SCO socket to handle remote connection close Fixes: NB#132536

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 20 May 2010 12:50:05 +0200

pulseaudio (0.9.15-1maemo40) unstable; urgency=low

  * module-alsa-sink-old:check alsa input values in latency calc. Fixes: NB#153159

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 23 Apr 2010 13:50:05 +0200

pulseaudio (0.9.15-1maemo39) unstable; urgency=low

  * core-util: handle EINTR already inside of pa_read/pa_write. Fixes: NB#139049

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 23 Apr 2010 13:50:05 +0200

## pulseaudio 0.9.15-1maemo44+0m5+0cssu1

=== debian/changelog ===
pulseaudio (0.9.15-1maemo44+0m5+0cssu1) unstable; urgency=low

  * Add support for bluetooth AudioSource
  * Add module-loopback

 -- Ludek Finstrle <luf@pzkagis.cz>  Mon, 8 Oct 2012 21:45:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pulseaudio
 Section: sound
 Priority: optional
-Maintainer: Maemo Multimedia <multimedia@maemo.org>
+Maintainer: Ludek Finstrle <luf@pzkagis.cz>
 XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: CJ van den Berg <cj@vdbonline.com>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 5), cdbs, quilt, m4, libltdl7-dev,

## pulseaudio 0.9.15-1maemo44+0m5+0cssu4

=== debian/changelog ===
pulseaudio (0.9.15-1maemo44+0m5+0cssu4) unstable; urgency=low

  * core: New LIFO style flist implementation
    Added patch 0206-new_lifo_style_flist.patch, see
    https://bugs.maemo.org/show_bug.cgi?id=7190
    https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/924416

 -- Ludek Finstrle <luf@pzkagis.cz>  Thu, 10 Jan 2013 16:42:48 +0100

pulseaudio (0.9.15-1maemo44+0m5+0cssu3) unstable; urgency=low

  * Added patch 0205-pulsecore-Lower-pool-to-16MB-max-Nokia-specific2.patch which decrease count of memory blocks to total size 16MB

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 14 Dec 2012 19:02:50 +0100

pulseaudio (0.9.15-1maemo44+0m5+0cssu2) unstable; urgency=low

  * Decrease protocol version from 16 to 15 (Maemo version 16 is not compatible with upstream 16)
  * Move pulseaudio log output to syslog (instead of stderr whith going to /dev/null)
  * Change vdd2_lock ownership in upstart script (from /sbin/preinit)
  * Disable patch 0046-pulsecore-Lower-pool-to-16MB-max-Nokia-specific.patch which causing error Memory block too large for pool

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 08 Dec 2012 19:11:04 +0100

## pulseaudio 0.9.15-1maemo44+0m5+0cssu6

=== debian/changelog ===
pulseaudio (0.9.15-1maemo44+0m5+0cssu6) unstable; urgency=low

  * Enable ipv6 support
  * Disable useless logs

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 17 Apr 2014 20:35:10 +0200

pulseaudio (0.9.15-1maemo44+0m5+0cssu5) unstable; urgency=low

  * Update patch 0204-pa-protocol-version.patch
    Revert back PA_PROTOCOL_VERSION to 16 (needed for maemo and closed pulseaudio modules)
    Replace all checks c->version >= 16 to c->version == 16 (which does not break maemo applications)
    Report version 15 (last compatible version) for all non local connections
    Report version 15 in module-tunnel (it is not used on maemo)

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 27 Oct 2013 19:58:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS =			\
 	--enable-shave				\
 	--with-realtime-group=pulse-rt		\
-	--disable-ipv6				\
 	--disable-legacy-runtime-dir		\
 	--disable-x11				\
 	--disable-nls				\

## pulseaudio 0.9.15-1maemo44+0m5+0cssu6+thumb0

=== debian/changelog ===
pulseaudio (0.9.15-1maemo44+0m5+0cssu6+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Dec 2014 12:46:22 +0200

pulseaudio (0.9.15-1maemo44+0m5+0cssu5+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 03 Nov 2013 18:08:32 +0200

pulseaudio (0.9.15-1maemo44+0m5+0cssu4+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 11 Jan 2013 16:57:50 +0200

pulseaudio (0.9.15-1maemo44+0m5+0cssu1+thumb1) unstable; urgency=low

  * Fix optimization flags

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Oct 2012 16:26:08 +0200

pulseaudio (0.9.15-1maemo44+0m5+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 27 Oct 2012 15:52:12 +0300

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: pulseaudio
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3),
- pulseaudio-module-bluetooth
+ pulseaudio-module-bluetooth, kernel-feature-errata-430973-workaround [armel]
 Conflicts: libltdl3 (<< 1.5.24-1), libpulsecore9, pulseaudio-module-nokia-voice (<< 0.9.15.0-42)
 Replaces: libpulsecore9
 Provides: libpulsecore9
@@ -64,7 +64,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: ${misc:Depends}, pulseaudio (= ${binary:Version})
+Depends: ${misc:Depends}, pulseaudio (= ${binary:Version}), kernel-feature-errata-430973-workaround [armel]
 Description: PulseAudio sound server detached debugging symbols
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -75,7 +75,7 @@
 
 Package: pulseaudio-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Command line tools for the PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -107,7 +107,7 @@
 
 Package: pulseaudio-esound-compat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Conflicts: esound, osso-esd, pulseaudio (<< 0.9.7)
 Replaces: esound, osso-esd
 Provides: esound, osso-esd
@@ -133,7 +133,7 @@
 
 Package: pulseaudio-module-extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hal
+Depends: ${shlibs:Depends}, ${misc:Depends}, hal, kernel-feature-errata-430973-workaround [armel]
 Description: Extra modules for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -155,7 +155,7 @@
 
 Package: pulseaudio-module-hal
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hal
+Depends: ${shlibs:Depends}, ${misc:Depends}, hal, kernel-feature-errata-430973-workaround [armel]
 Description: HAL device detection module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -180,7 +180,7 @@
 
 Package: pulseaudio-module-gconf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: GConf module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -205,7 +205,7 @@
 Package: pulseaudio-module-bluetooth
 Architecture: alpha amd64 arm armel hppa i386 ia64 mips mipsel powerpc s390 sparc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Conflicts: pulseaudio (<< 0.9.14-2)
 Description: Bluetooth module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -230,7 +230,7 @@
 
 Package: pulseaudio-module-x11
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-utils, kernel-feature-errata-430973-workaround [armel]
 Recommends: gnome-audio
 Description: X11 module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -258,7 +258,7 @@
 Package: libpulse0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Breaks: pavucontrol (<< 0.9.8)
 Suggests: pulseaudio
 Description: PulseAudio client libraries
@@ -266,16 +266,3 @@
  WIN32 systems. It is a drop in replacement for the ESD sound server with
  much better latency, mixing/re-sampling quality and overall architecture.
  .
- Client libraries used by applications that access a PulseAudio sound server
- via PulseAudio's native interface.
-
-Package: libpulse0-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: ${misc:Depends}, libpulse0 (= ${binary:Version})
-Description: PulseAudio client libraries detached debugging symbols
- PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
- WIN32 systems. It is a drop in replacement for the ESD sound server with
- much better latency, mixing/re-sampling quality and overall architecture.
- .

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0 -rdynamic -fno-omit-frame-pointer -mapcs-frame
 else
-	CFLAGS += -O3 -fno-omit-frame-pointer
+	CFLAGS += -O2 -fomit-frame-pointer -fno-fast-math
 endif
 
 ifeq ($(DEB_BUILD_ARCH), armel)
@@ -20,7 +20,7 @@
 
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_ARCH), armel)
-	CFLAGS += -mthumb
+	CFLAGS += -mthumb -fgnu89-inline
 endif
 endif
